Resources
API keys
API keys lets you list and read the API keys in your account. An admin creates, edits, and deletes keys in the Schematic dashboard.
Environments
Environments typically represent the stages of your software development lifecycle (common environments include development, staging, and production). Some objects are shared across environments. An admin creates, edits, and deletes environments in the Schematic dashboard.
Plans
Plans allows you to create and manage plans, and to retrieve plans for one or more companies.
Companies
Companies allows you to upsert and delete companies and their corresponding metadata, as well as create user and company associations. You can also retrieve company plans, users, and metadata with this resource.
- GET /companies
- POST /companies
- GET /companies/lookup
- DEL /companies/
{company_id} - POST /companies/delete
- GET /company-memberships
- POST /company-memberships
- DEL /company-memberships/
{company_membership_id} - POST /company-traits
Users
Users allows you to upsert and delete users, as well as lookup a user’s company associations.
Events
Events allows you to create identify and track event calls either individually or in a batched fashion, making it easier to update company and user traits as well as emit usage data to Schematic.
Features
Features allows you to create and manage features, making it easier to build and manage default feature configuration.
- GET /features
- GET /features/
{feature_id} - POST /features
- PUT /features/
{feature_id} - DEL /features/
{feature_id}
Flags
Flags allows you to create and manage flags, making it easier to programmatically build and manage flag conditions. You can also use this resource to retrieve flag evaluations individually or in a batched fashion with or without a context (e.g. company).
- GET /flags
- GET /flags/
{flag_id} - POST /flags
- PUT /flags/
{flag_id} - DEL /flags/
{flag_id} - PUT /flags/
{flag_id}/rules - POST /flags/
{key}/check - POST /flags/check
Entitlements
Entitlements allows you to manage default plan entitlements and individual company entitlements (aka overrides). You can also retrieve feature usage data at the feature or company levels from this resource.
- GET /company-overrides
- GET /company-overrides/
{company_override_id} - POST /company-overrides
- POST /company-overrides/
{company_override_id} - DEL /company-overrides/
{company_override_id} - GET /plan-entitlements
- GET /plan-entitlements/
{plan_entitlement_id} - POST /plan-entitlements
- PUT /plan-entitlements/
{plan_entitlement_id} - DEL /plan-entitlements/
{plan_entitlement_id}
Feature usage
Feature Usage allows you to retrieve usage at the feature and company-feature levels, making it easy to populate components within your application.
Account members
Account Members allows you to list and retrieve users who are members of your Schematic account.